blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
90b0549c46814f89a1609bcf441a4abbd92334fc | Shell | henesy/Plan9 | /porting/nogodsnoheaders | UTF-8 | 274 | 3.328125 | 3 | [
"Unlicense"
] | permissive | #!/bin/rc
# Strip all `#include <*.h>` lines
# usage: nogodsnoheaders file …
rfork n
argv0 = $0
files = ()
fn usage {
echo >[1=2] 'usage:' $argv0 'file …'
exit 'usage'
}
if(~ $#* 0)
usage
files = $*
incregex = '#include[ ]<'
sedi '/'^$incregex^'/d' -- $files
| true |
bc526f64617defa856ed780fec64875a7b2407ec | Shell | yinhaoyun/scripts | /remove_dir.sh | UTF-8 | 253 | 3.421875 | 3 | [] | no_license | #!/bin/sh
while true; do
read -p "Do you really want to delete the folder $1?" yn
case $yn in
[Yy]* ) break;;
[Nn]* ) exit;;
* ) echo "Please answer yes or no.";;
esac
done
rsync -a --delete `mktemp -d`/ $1
rmdir $1
| true |
708cd5c8543a8a4df4fe74a681d3e73f5923b0d0 | Shell | mateusrissi/shell-course | /mod01/variables.sh | UTF-8 | 378 | 3.03125 | 3 | [] | no_license | #!/usr/bin/env bash
echo 'test'
NAME="Mateus
Rissi"
echo "${NAME}"
N1=45
N2=24
TOTAL=$((N1+N2))
echo "${TOTAL}"
CAT_OUTPUT=$(cat /etc/passwd | grep mtr)
echo "${CAT_OUTPUT}"
echo "--------------------------"
echo "Parameter 1: ${1}"
echo "Parameter 2: ${2}"
echo "All parameters: ${*}"
echo "Parameter 0: ... | true |
189710063507e03e589374aab56c6cb6a41f8c7c | Shell | swapnanildutta/Bashing-Life-PCC-CS592 | /Day 4/case.sh | UTF-8 | 332 | 3.828125 | 4 | [
"MIT"
] | permissive | echo "1.Contents of the file\n2.Present working directory and files under current directory\n3. Current Date\n4. Calender of a particular Year\n5.Exit"
read x
case $x in
1)read -p "Enter filename: " f1
cat $f1
;;
2) pwd && ls;;
3) date +%m.%d.%Y;;
4) read -p "Enter year: " year
cal $year ;;
5) exit;;
*) echo "Wrong ... | true |
22c82158ab91e9e7be19e9bdc5577a8edef08889 | Shell | klpanagi/Thesis | /jetson-tk1/theano/build_scipy.sh | UTF-8 | 310 | 2.65625 | 3 | [] | no_license | #!/bin/bash -ie
function _build_scipy_with_openblas() {
# Deps
pip install cython tempita
cd ${HOME}
git clone git://github.com/scipy/scipy.git scipy
cd scipy
BLAS=/opt/OpenBLAS/lib/libopenblas.so.0 LAPACK=/opt/OpenBLAS/lib/libopenblas.so.0 python setup.py install
}
_build_scipy_with_openblas
| true |
442497f9ed8707d1ced2d840d1466b84e80e303e | Shell | projetotestbed/Testbed | /TBControl/files/tbcontrol | UTF-8 | 1,236 | 3.765625 | 4 | [] | no_license | #!/bin/bash
### BEGIN INIT INFO
# Provides: tbcontrol
# Required-Start: postgres
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Stop/Start/Restart TBControl on System shutdown
### END INIT INFO
TBCUSER=projetotestbed
TBCPATH=/home/projetotestbed/Testbed/TBControl
TBCPROG=... | true |
49cece8100a5f0ea8641eaf22d63f6ef52d76bea | Shell | 12yanogden/pepr | /modules/output/div.sh | UTF-8 | 7,529 | 4.21875 | 4 | [] | no_license | #!/bin/bash
# Builds a customized divider
#
# +--------------------- Example Divider ---------------------+
include "commands"
include "print"
div() {
# Exits if printPermission is set to quiet
if [ $printPermission -eq 0 ]; then
return 0
fi
# Default values of arguments
local height=1
local width=89... | true |
dce1dbb0966da9a7f696ef6f4f72970d99fabd70 | Shell | yuyang158/Unity-Extend | /moon_build/luac/build_unix/build_lua.sh | UTF-8 | 820 | 3.5 | 4 | [
"MIT"
] | permissive | cd $(dirname "$0") || exit 1
SHELL_FOLDER=$(pwd)
ROOT_PATH=$1
ROOT_NAME=Lua
if [ ! -d $ROOT_PATH ]
then
echo "build_lua.sh: Input should be a directory @"$ROOT_PATH
exit 1
fi
ROOT_NAME=$(basename "$ROOT_PATH")
if [ -d $ROOT_NAME ]
then
rm -rf ./$ROOT_NAME
fi
cp -rf $ROOT_PATH .
echo "start copy lua"
find $RO... | true |
1eff6530b6d9d67bf720a6ee532a2a81f6384777 | Shell | neingeist/dirty-helpers | /crontab-suggest | UTF-8 | 278 | 3.515625 | 4 | [] | no_license | #!/bin/bash
# suggest a random time for a cronjob
set -u
set -e
hour=$((($RANDOM*24)/32768))
minute=$((($RANDOM*60)/32768))
dow="*"
if [ $# -gt 0 ]; then
if [ "$1" == "-w" ]; then
dow=$((($RANDOM*7)/32768))
fi
fi
printf "%02i %02i * * %s\n" "$minute" "$hour" "$dow"
| true |
812652ed709187c4d7f37377559fa1235d6495eb | Shell | kganser/simpl.js | /docker/launch.sh | UTF-8 | 334 | 2.6875 | 3 | [] | no_license | #!/bin/sh
cleanup() {
kill -TERM $nwjs
wait $nwjs
kill -TERM $xvfb
rm -f /usr/var/simpljs/SingletonLock
}
trap cleanup TERM INT
Xvfb :99 -ac -screen 0 1280x720x16 -nolisten tcp &
xvfb=$!
export DISPLAY=:99
/usr/lib/simpljs/nw $@ --disable-gpu --user-data-dir=/usr/var/simpljs --port=8000 &
nwjs=$!
wait $nw... | true |
ab4d14afabd444995f121a6aa211d2be3d62991a | Shell | sunh20/ECoG_data_curation | /ecog_processing_pipeline/runPreprocMain_1.sh | UTF-8 | 742 | 2.53125 | 3 | [] | no_license | #!/bin/sh
subjects='q873748d abdb496b' #a0f66459 ab2431d9 b4ac1726 #c95c1e82 d6532718 ec374ad0 ffb52f92 aa97abcd c7980193 cb46fd46 e5bad52f fcb01f7a
for subject in $subjects
do
mkdir /data1/ecog_project/derived/processed_ecog/$subject/
mkdir /data1/ecog_project/derived/processed_ecog/$subject/preproc_hospital_eco... | true |
d68296e1ef20ad6babf5d0eb2cf6e98733ce9091 | Shell | hi-cli/hi-cli | /bin/usage | UTF-8 | 1,211 | 3.109375 | 3 | [] | no_license | #!/bin/bash
###############################################################################
# Project: hi-cli
# Description: The cross platform development toolkit - hi-cli
# Author: John Deng (john.deng@outlook.com)
#
# Copyright (c) 2014-2017 John Deng (john.deng@outlook.com)
#
# Licensed under the Apache License, Ve... | true |
4c6049dff4b74912fac12f7c624461e3c028fd68 | Shell | wittawatj/configs | /script/start_multicore_slaves.sh | UTF-8 | 596 | 3 | 3 | [] | no_license | #!/bin/bash
# Launch multiple screen commands, each containing one Matlab running startmulticoreslave preparing to be a slave in multicore package
num=$1
cdpath="/nfs/nhome/live/wittawat/SHARE/gatsby/research/code"
#matlab_path="/opt/matlab-R2012b/bin/matlab"
matlab_path="/opt/matlab-R2014a/bin/matlab"
for i in $(seq... | true |
a6061c93b79b32bdc78e00241e6e69b46807bb0d | Shell | csmunuku/myscripts | /bash/commandOnRemBoxes.sh | UTF-8 | 1,485 | 4 | 4 | [] | no_license | #!/bin/bash
###################################################################################################
# SCRIPT NAME: commandOnRemBoxes.sh
# DESCRIPTION: Used to execute command(s) on remote boxes
# AUTHOR: csmunuku@gmail.com
#####################################################################################... | true |
569f94ae8e10219717841d026d441cf88ac790c1 | Shell | surskitt/PKGBUILD | /yadm/PKGBUILD | UTF-8 | 1,139 | 2.625 | 3 | [] | no_license | # Maintainer: Stefan Tatschner <stefan@rumpelsepp.org>
# Contributor: Franek Madej <franek.madej@gmail.com>
# Completion changes and optdepends by Artemis
pkgname=yadm
pkgver=2.5.0
pkgrel=1
pkgdesc="Yet Another Dotfiles Manager"
arch=('any')
url="https://github.com/TheLocehiliosan/yadm"
license=('GPL3')
depends=('git'... | true |
0122771710c1bb26cb64bbab3bd7987d017222eb | Shell | spdk/spdk | /test/vhost/fiotest/fio.sh | UTF-8 | 8,761 | 3.484375 | 3 | [
"Intel",
"BSD-2-Clause",
"BSD-3-Clause"
] | permissive | #!/usr/bin/env bash
# SPDX-License-Identifier: BSD-3-Clause
# Copyright (C) 2017 Intel Corporation
# All rights reserved.
#
testdir=$(readlink -f $(dirname $0))
rootdir=$(readlink -f $testdir/../../..)
source $rootdir/test/common/autotest_common.sh
source $rootdir/test/vhost/common.sh
dry_run=false
no_shutdown=fals... | true |
73072f8cb8af328e9fe556ce61e3440542c5135f | Shell | magma/magma | /experimental/cloudstrapper/playbooks/roles/build-platform/files/helm-publish.bash | UTF-8 | 494 | 2.765625 | 3 | [
"BSD-3-Clause"
] | permissive | #arg1: gitusername arg2: gitpassword arg3: git publish branch
gitBranchCheckout=a7580153
gitPublishBranch=$3
gitUserName=$1
gitPat=$2
dirMagmaRoot=$4
dirHelmChart=~/magma-charts
cd $dirMagmaRoot
git checkout $gitBranchCheckout
cd $dirHelmChart
git init
helm package $dirMagmaRoot/orc8r/cloud/helm/orc8r/ && helm repo i... | true |
8700e47b7ebd37999de37ad117b775f752273f15 | Shell | marshall-lee/dotfiles | /zsh/init/golang.zsh | UTF-8 | 168 | 2.78125 | 3 | [
"MIT"
] | permissive | function my_init_golang() {
(( ! ${+commands[go]} )) && return
[[ -z $GOBIN ]] && export GOBIN=$HOME/.local/bin
my_link_zsh_completion golang
}
my_init_golang
| true |
5f0d1482049119e94297e5ef9f3c1e22ac2b4f70 | Shell | ChunchunIsMe/learningShell | /printf.sh | UTF-8 | 401 | 2.9375 | 3 | [] | no_license | #!/bin/bash
# printf 是另一个输出命令
# 语法:
# printf format-string [arguments...]
# format-string: 为格式控制字符串
# arguments: 参数列表
echo "hello shell";
printf "hello shell\n";
printf "%-10s %-8s %4s\n" 姓名 性别 体重KG
printf "%-10s %-8s %4.2f\n" 郭靖 男 66.1234
printf "%-10s %-8s %4.2f\n" 杨过 男 66.1234
printf "%-10s %-8s %4.2f\n" 黄蓉 女 47.... | true |
3071f00472834dc9e90dc09c1d2a8073e41f2fb3 | Shell | monotonemonk/arch_svntogit_community- | /idesk/trunk/PKGBUILD | UTF-8 | 1,137 | 2.609375 | 3 | [] | no_license | # $Id$
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Claudio Sabattoli <gasherbrum3@alice.it>
pkgname=idesk
pkgver=0.7.5
pkgrel=7
pkgdesc="gives users of minimal wm's (fluxbox, blackbox, openbox, windowsmaker...) icons on their desktop"
arch=("i686" "x86_64")
url="http://idesk.sourceforge.net/... | true |
56f92a84305307d9f57a6992042d87c25130e03a | Shell | git4example/sqs-testing | /sendmessage.sh | UTF-8 | 559 | 3.484375 | 3 | [] | no_license | #!/bin/bash
export AWS_DEFAULT_REGION=ap-southeast-2
echo $1
if [ ! -n "$NO_MESSAGES_TO_SEND" ]
then
echo "No of messages to send set to default 1"
export NO_MESSAGES_TO_SEND=1
else
echo "No of messages to send set to " $NO_MESSAGES_TO_SEND
fi
for ((i=1;i<=$NO_MESSAGES_TO_SEND;i++));
do
message=$(LC_CTYPE=C t... | true |
22d50cd610888fa38d1e1ab66e9dc0c4d2de498e | Shell | marccremer/AP1_3 | /src/compile.sh | UTF-8 | 164 | 3.046875 | 3 | [] | no_license | #!/bin/sh
#compile all C files of the source folder into the bin folder
for file in ../src/*.c
do
gcc -std=c99 -o "../bin/$(basename "$file" .c)" "$file"
done | true |
d51afefe83a0d927eab14068b920b865a995265a | Shell | stratixx/SOI | /Project_4/test/bigTest.sh | UTF-8 | 599 | 2.640625 | 3 | [] | no_license | export PATH=$PATH":./../bin"
mkmfs disc 4000000
echo "----- STAN POCZĄTKOWY ------------------------------------"
lsmfs disc
echo "----------------------------------------------------------"
infomfs disc
echo "----- KOPIOWANIE WIELU PLIKÓW 100MB -----------------------"
export linuxFiles
export MFSfiles
for n in `seq ... | true |
d1f7071ed4e9f7e669705000c398ceae7d8b4dc5 | Shell | ravivamsi/shellscripts | /3_callwebservicecurl.sh | UTF-8 | 260 | 2.578125 | 3 | [] | no_license | #! /bin/bash
<<CallWebservice
You can call the webservice using the curl library in shell
$ sh 3_callwebservice.sh
or
$ ./3_callwebservice.sh
CallWebservice
output=$(curl -s -k -X GET "https://jsonplaceholder.typicode.com/posts/1")
echo $output
| true |
8b276aff6a1ee7507bdb8639398759f85c1d66a9 | Shell | Ahaad2021/adbanking3.24.0 | /utilities/devel/crypte.sh | UTF-8 | 472 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# Ce script permet de crypter un fichier de licence
############################################################
# Variables utiles
############################################################
source ${ADB_INSTALL_DIR:="/usr/share/adbanking"}/web/lib/bash/misc.sh
let ${DBUSER:=adbanking}
let ${DBNAME:=$DBUS... | true |
41a323fa1b49144fe8edea2166727af1b7e5ca9e | Shell | jdbeutel/grails.sh | /grails | UTF-8 | 2,464 | 4 | 4 | [] | no_license | #!/bin/bash
# Original Version: http://github.com/deluan
# Customized for my conventions: http://github.com/jdbeutel/grails.sh
# Check if GRAILS_HOME is set
if [ -z "$GRAILS_HOME" -o ! -d "$GRAILS_HOME" ]; then
echo "Error: GRAILS_HOME not set"
exit 2
fi
# From: https://github.com/alxndrsn/grails.sh/blob/master/dir... | true |
b43cbd7eaad91818076b3b57b0339b6a8c91f9b7 | Shell | schuricov/test | /.timeno | UTF-8 | 1,045 | 3.515625 | 4 | [] | no_license | #!/bin/bash
#conditional for entering argument
# checking came parametrs
if [[ -n $1 ]]
then
case $1 in
get)
for a in 0 1 2 3 4 5 6
do
#echo $(i2cget -y 0 0x68 0x0$a)":0x0"$a >> b
echo $(i2cget -y 0 0x68 0x0$a) >> b
done
#cat b
# s - заменяем 0x в строках... | true |
cb293d38c6f1b2fca8ef1cb9f925a5be5c22e4b8 | Shell | dsmic/oakfoam | /scripts/decisiontrees/dt-compare.sh | UTF-8 | 929 | 3.625 | 4 | [
"FSFAP",
"BSD-2-Clause",
"BSD-3-Clause"
] | permissive | #!/bin/bash
set -eu
TEMPGTP="cmp_`date +%F_%T`.tmp"
TEMPLOG="cmplog_`date +%F_%T`.tmp"
OAKFOAM="../../oakfoam --nobook --log $TEMPLOG"
if (( $# < 1 )); then
echo "Exactly one DT required" >&2
exit 1
fi
DTFILE=$1
DTSOLOLEAF=1
if (( $# > 1 )); then
DTSOLOLEAF=$2
fi
if ! test -x ../../oakfoam; then
echo "Fil... | true |
c15ef7f75c9804788027477fbb42bdb710180160 | Shell | UFSC/moodle-provas-livecd-provas | /packages/src/moodle-provas/opt/provas/start_X.sh | UTF-8 | 543 | 3.109375 | 3 | [] | no_license | #!/bin/bash
#set -x
provas_config_file='/opt/provas/moodle_provas.conf'
[ -r "$provas_config_file" ] && source "$provas_config_file" || exit 1
functions_file="$provas_dir/includes/functions.sh"
[ -r "$functions_file" ] && source "$functions_file" || exit 1
log 'Verificando se o script foi executado com poder de roo... | true |
212ccaed3c4531602aafea14eb72b8cd0c069fe9 | Shell | mattrix27/moos-ivp-oyster | /.svn/pristine/21/212ccaed3c4531602aafea14eb72b8cd0c069fe9.svn-base | UTF-8 | 5,771 | 3.109375 | 3 | [] | no_license | #!/bin/bash
SHORE_IP=192.168.1.155
SHORE_LISTEN="9300"
TIME_WARP=1
HELP="no"
JUST_BUILD="no"
START_POS="0,0,0"
VNAME="mokai"
VTEAM=""
VPORT="9013"
SHARE_LISTEN="9313"
BUTTON="5"
JOY_ID="0"
TEAMMATE1=""
TEAMMATE2=""
VOICE="ON"
for ARGI; do
if [ "${ARGI}" = "--help" -o "${ARGI}" = "-h" ] ; then
HELP="yes"
... | true |
c82ec53f44677c8d5b405e279d7ea06f65d7beaf | Shell | agalitsyna/sc_dros | /scripts/01_data_mapping/012_run_pairsam2cooler.sh | UTF-8 | 783 | 3.28125 | 3 | [
"MIT"
] | permissive | for data_type in data data_subsampled data_shuffled
do
mkdir -p ../../${data_type}/PAIRIX
mkdir -p ../../${data_type}/COOL
done
exps="Cell1 Cell2 Cell3 Cell4 Cell5 Cell6 Cell7 Cell8 Cell9 Cell10 Cell11 Cell12 Cell13 Cell14 Cell15 Cell16 Cell17 Cell18 Cell19 Cell20"
for pref in $exps
do
echo "$pref"
# Ex... | true |
a9dbc256a3b9eab672de335402c5d883d0bdb8ab | Shell | MPZinke/SmartCurtain | /MergeProduction.sh | UTF-8 | 1,131 | 4.0625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# FROM: https://gist.github.com/tmiller/5222478
# Merges the master branch into all other branches
#
# Process:
#
# - Save the name of the current branch
# - If the current branch is not master then checkout master.
# - Pull the latest changes for master from its upstream branch.
# - Loop over each local b... | true |
41e7df687a03c5088c9576bcca898bff90039d5f | Shell | Jaynesh1609/infrastructure | /tasks/scripts/compile.sh | UTF-8 | 142 | 2.75 | 3 | [] | no_license | #!/bin/bash
set -euo pipefail
output="$(pwd)/compiled/"
cd repo
[ ! -z "$CONTEXT" ] && cd "$CONTEXT"
go build -o "$output" "$PACKAGE_PATH"
| true |
6fa22e684d72d71a710139677b5bb88703246cfe | Shell | pluser/packers | /mattermost/install-mattermost.sh | UTF-8 | 857 | 2.75 | 3 | [
"MIT"
] | permissive | #!/bin/sh
apt update
apt install --assume-yes curl
apt install --assume-yes postgresql postgresql-contrib
psql -U postgres -c "\n
CREATE DATABASE mattermost;\n
CREATE USER mattermost;\n
ALTER DATABASE mattermost OWNER BY mattermost;\n
GRANT ALL PRIVILEGES ON DATABASE mattermost to mattermost;"
systemctl start p... | true |
408b23849f2e67e4d1d5f6fad783eda8f0b13245 | Shell | ccin2p3/jsaga | /jsaga-engine/config/examples/template.sh | UTF-8 | 952 | 3.65625 | 4 | [] | no_license | #!/bin/sh
# set arguments
ARGS=$*
#
if test "$OS" = "Windows_NT"
then
SEP=";"
else
SEP=":"
fi
# set JSAGA_HOME
if test -z "$JSAGA_HOME" ; then
if test -d "%INSTALL_PATH" ; then
JSAGA_HOME="%INSTALL_PATH"
else
JSAGA_HOME=.
fi
fi
# set system properties
#PROPERTIES=
PROPERTIES="${PROPERTIES} -DJS... | true |
a677e647592b237eb6a556368f6c201cd0224a70 | Shell | nhlshstr/holberton-system_engineering-devops | /0x04-loops_conditions_and_parsing/6-superstitious_numbers | UTF-8 | 268 | 3.34375 | 3 | [] | no_license | #!/usr/bin/env bash
# Superstitious Numbers
x=1
while [ $x -lt 21 ]
do
echo $x
if [ $x -eq 3 ]
then
echo "bad luck from China"
elif [ $x -eq 8 ]
then
echo "bad luck from Japan"
elif [ $x -eq 16 ]
then
echo "bad luck from Italy"
fi
x=$((x + 1))
done
| true |
22f919ee0c1666902396c5b5b89b17a5a1d6b2ea | Shell | MooglyOogly/dotfiles | /polybar/launch.sh | UTF-8 | 302 | 2.6875 | 3 | [] | no_license | #!/usr/bin/env bash
# Terminate already running bar instances
killall -q polybar
# Wait until the processes have been shut down
# while pgrep -u $UID -x polybar >/dev/null; do sleep 1; done
# Launch Polybar
polybar top -c ~/.config/polybar/config.ini &
polybar top2 -c ~/.config/polybar/config.ini & | true |
16b3d1618e26004be93b8f989392665050654ea3 | Shell | shashank195/USP-UG-SEM5 | /WLCcount.sh | UTF-8 | 176 | 3.234375 | 3 | [] | no_license | #! /bin/sh
echo "Enter the file path:"
read path
w=`cat $path | wc -w`
l=`cat $path | wc -l`
c=`cat $path | wc -c`
output="Words: $w | Lines: $l | Characters: $c"
echo $output
| true |
42517d4748af2ff44a0e07bbac20972a87f3e99f | Shell | zitounh/wilAime | /mainBruteForce.sh | UTF-8 | 157 | 2.765625 | 3 | [] | no_license | #!/bin/bash
input="dict.txt"
proc=0
N=6
COUNTER=0
while IFS= read -r line
do
((proc=proc%N)); ((proc++==0)) && wait
./oneWord.sh $line &
done < "$input" | true |
90fd57a0ea7167dd4b3e07fb4db37e037513cf9a | Shell | sadmankiba/FAST-EF | /scripts/create_netns_foreign.sh | UTF-8 | 562 | 2.734375 | 3 | [] | no_license | # default values
NAME="ns1"
HOST_VETH_IP="10.20.40.2"
NETNS_VETH_IP="10.20.40.3"
VETH_NETWORK="10.20.40.0"
ip netns add $NAME
ip link add veth0 type veth peer name veth1
ip link set veth1 netns $NAME
ne1="ip netns exec $NAME"
# set address
ip addr add $HOST_VETH_IP/24 dev veth0
$ne1 ip addr add $NETNS_VETH_IP/24 dev... | true |
20279d93d03ff13fef9b927c46116f8a8f23836b | Shell | jakubguzek/arch-dotfiles-macbookair | /.local/bin/nmenu | UTF-8 | 1,218 | 3.375 | 3 | [] | no_license | #!/usr/bin/env sh
if [ -e $HOME/.local/bin/color_cache ]; then
. "${HOME}/.local/bin/color_cache"
network_name=$(nmcli device wifi list | sed -n '1!p' | dmenu -i -l 15 -fn Monospace-14 -nb "$color0" -nf "$color7" -sb "$color1" -sf "$color7" | awk -F ' {2,}' '{print $2}')
[ "$network_name" != "" ] || exit
ask_pass=... | true |
74277416112a4faab429776055c01ee7246fcc07 | Shell | ZhangXinNan/LearnPractice | /linux/shell/shell_for.sh | UTF-8 | 102 | 2.71875 | 3 | [] | no_license |
for port in {9980..9989}
do
echo $port
done
for port in `seq 9980 9989`
do
echo $port
done | true |
f62b2753893eede745c2ae8e1e036037ef5cc489 | Shell | christopher-barry/lishp | /lishp.sh | UTF-8 | 2,005 | 3.5 | 4 | [] | no_license | #!/bin/bash
# If this file has already been sourced, just return
[ ${LISHP_SH+true} ] && return
declare -g LISHP_SH=true
declare -g VERBOSE
if [ ${1+isset} ] && [ "$1" == "-verbose" ]; then
VERBOSE=true
shift
else
VERBOSE=false
fi
. ${BASH_SOURCE%/*}/common.sh
. ${BASH_SOURCE%/*}/variables.sh
. ${BASH_S... | true |
0641cfe20e5b0d4a3137aa349ce1e39330f2c406 | Shell | daveharris/personal | /bash/podcast.sh | UTF-8 | 3,615 | 3.140625 | 3 | [] | no_license | #Written by David Harris (david.harris <at> orcon.net.nz)
#Takes in the fullpath of the podcastz and tags/renames file
#Pops up when finished
#!/bin/bash
filename="$(echo $1 | cut -d '/' -f 6)"
#echo "Filename: $filename"
dir="$(echo "$1" | sed 's/\(.*\)\/.*/\1/')"
#echo "Dir: $dir"
notify () {
zenity --info --te... | true |
77ee49ece9c1ad00dc040fd05416cb03271e736e | Shell | lukaszachy/tmt | /tests/steps/invalid/test.sh | UTF-8 | 758 | 2.71875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
. /usr/share/beakerlib/beakerlib.sh || exit 1
rlJournalStart
rlPhaseStartSetup
rlRun "tmp=\$(mktemp -d)" 0 "Create tmp directory"
rlRun "pushd data"
rlRun "set -o pipefail"
rlPhaseEnd
rlPhaseStartTest
rlRun "tmt run --scratch -i $tmp 2>&1 | tee output" 2 "Expect... | true |
d5b089b3709b2f018465b4ecffc0eb8d879418c2 | Shell | greenpeace/planet4-helper-scripts | /k8s/drain_node.sh | UTF-8 | 413 | 3.5 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -euo pipefail
node=$1
grace=${2:-30}
kubectl get nodes
echo
[[ -n ${FORCE_DRAIN:-} ]] || {
read -rp "Drain node '$node'? [y/N] " yn
case "$yn" in
[Yy]* ) : ;;
* ) exit 1;;
esac
}
echo
echo " >> Draining ${node#node\/} ..."
set -x
time kubectl drain --force --ignore-daemonse... | true |
0ecf1b2577fc2a22b8838632842c2ac047754b00 | Shell | 9001/usr-local-bin | /ffchk | UTF-8 | 2,564 | 3.84375 | 4 | [] | no_license | #!/bin/bash
set -e
# ffchk - look for corruption in multimedia files
# ed <irc.rizon.net>, MIT-licensed, https://github.com/9001/usr-local-bin
# -- reads through the provided multimedia files
# -- shows list of healthy/corrupted files and errors detected
# -- first arg switches verification mode:
# -- parse containe... | true |
d540cc51826389ba886977a605a326008b7949e9 | Shell | redpeacock78/dotfiles | /bin/youmus | UTF-8 | 9,466 | 3.453125 | 3 | [] | no_license | #! /bin/bash
#Author:[redpeacock78]
#email:[scarletpeacock78@gmail.com]
#git:[git@github.com:redpeacock78]
# _ _ ___ _ _ _ __ ___ _ _ ___ #
# | | | |/ _ \| | | | '_ ` _ \| | | / __| #
# | |_| | (_) | |_| | | | | | | |_| \__ \ #
# \__, |\___/ \__,_|_| |_| |_|\__,_|___/ #
# ... | true |
13f2e59a5fb3fab7822c57f1e1405bce7231d077 | Shell | xbrineh4ck/Tools | /FP-tools.sh | UTF-8 | 1,634 | 2.921875 | 3 | [] | no_license | clear
blue='\033[34;1m'
green='\033[32;1m'
purple='\033[35;1m'
cyan='\033[36;1m'
red='\033[31;1m'
white='\033[37;1m'
yellow='\033[33;1m'
sleep 1
echo
toilet -f small -F gay Tools
sleep 2
echo
toilet -f mini -F gay Selamat Datang
echo $yellow"Author:Fajar"
echo $red"Youtube:Fajar X-Brine"
echo
sleep 2
echo $white"Silahk... | true |
c1a1eddfc0736d2e877bbe2d892ebbe93f2ec1ce | Shell | ekaestner/MMIL | /EXTERNAL/MMPS_245/MMPS_245/ksh/lsTouchFiles.ksh | UTF-8 | 1,016 | 3.25 | 3 | [] | no_license | #!/bin/ksh
# Give as an agrument a file containing a space-separated list of subject IDs
#touchFilename=conform.touch # Oddly enough, this one is for affine registration to baseline
#touchFilename=longitudinal_nonlinreg.touch
touchFilename=longitudinal_nonlinregROI_left_ROIs.touch
#touchFilename=longi... | true |
b5e1ffe03dee575991ffbbed40c70a0b8f8fd6cb | Shell | iridium-browser/iridium-browser | /third_party/ruy/src/cmake/run_android_test.sh | UTF-8 | 645 | 3.40625 | 3 | [
"Apache-2.0",
"BSD-3-Clause",
"LGPL-2.0-or-later",
"MIT",
"GPL-1.0-or-later",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
# Minimal script pushing and running a file on device!
# Contemporary versions of ADB properly propagate exit codes so nothing more
# is needed to let CTest report test success/failure.
# TODO: consider clearing temporary files after testing, although that will
# get in the way of debugging and will make ... | true |
3f9b3c52e038713a2e0319f3de8d6d485cc80bd1 | Shell | yyqng/note | /shell/exec_upg.sh | UTF-8 | 462 | 3.21875 | 3 | [] | no_license | #!/bin/bash
# 安装升级包
PKTSPY_PATH=/usr/pktspy
if [ -n "$1" ]; then
UPG=$1
else
echo "usage: $0 <pktspy upg path>"
exit 1
fi
$PKTSPY_PATH/script/pktspyd stop
echo ================ $UPG install upgrade package begin ==================
echo install path : $PKTSPY_PATH
tar xJvf $1 -C $PKTSPY_PATH
echo ==============... | true |
d34dbc2b2aa7a23302aa3513d715f98f18b8285f | Shell | shigemk2/DB_TEST_MK2 | /insert.sh | UTF-8 | 187 | 3.296875 | 3 | [] | no_license | #!/bin/sh
# 指定した回数だけtweet.rbを実行するだけのスクリプト
a=0
while [ $a -ne $1 ]
do
ruby tweet.rb
a=`expr 1 + $a`
echo "${a} 回目の処理"
done
| true |
584cb98299580cc92b4addd341f6ea34167eb79b | Shell | walacereis-a11/serenity | /Ports/SDL2_ttf/package.sh | UTF-8 | 525 | 2.765625 | 3 | [
"BSD-2-Clause"
] | permissive | #!/usr/bin/env -S bash ../.port_include.sh
port=SDL2_ttf
version=2.0.15
useconfigure=true
files="https://www.libsdl.org/projects/SDL_ttf/release/SDL2_ttf-${version}.tar.gz SDL2_ttf-${version}.tar.gz"
depends="SDL2 freetype"
configure() {
run ./configure \
--host="${SERENITY_ARCH}-pc-serenity" \
--w... | true |
e49ec9b541de5fddc7c4e34ae52547fe85fe02e9 | Shell | Kv-045DevOps/ingress-part | /create-cluster.sh | UTF-8 | 1,749 | 2.859375 | 3 | [] | no_license | #!/bin/bash
# aws s3api create-bucket --bucket k8s-storage-2 --region eu-central-1a --create-bucket-configuration LocationConstraint=eu-west-1
export NAME=cluster.k8s.local
export KOPS_STATE_STORE=s3://k8s-storage-2
kops create cluster --zones eu-central-1a --master-size=t2.micro --node-size=t2.micro ${NAME}
kops cre... | true |
dadb5cb8376a646a7ce3bede5c40cdc4acdc072e | Shell | joaquincasarino85/vagrant_configuration | /Vagrant.bootstrap.sh | UTF-8 | 1,042 | 3.1875 | 3 | [] | no_license | #!/bin/bash
### Aprovisionamiento de software ###
# Actualizo los paquetes de la maquina virtual
sudo apt-get update
# Instalo un servidor web
sudo apt-get install -y apache2
### Configuración del entorno ###
##Genero una partición swap. Previene errores de falta de memoria
if [ ! -f "/swapdir/swapfile" ]; then
... | true |
fb927a8c54f55325aaed853a571dc80f9e7bb64d | Shell | mcaravario/rn-tps | /gen_makefile.sh | UTF-8 | 1,489 | 3.609375 | 4 | [] | no_license | #!/usr/bin/bash
declare -A deps_ej1
declare -A deps_ej2
while read line; do
if [[ ! -z "$line" ]] && [[ ! $line =~ ^#+ ]]; then
output="$(echo "${line}" | cut -f 1 -d ':')"
cmd="$(echo "${line}" | cut -f 2 -d ':')"
deps_ej1["tp1/ej1/pruebas/${output}"]="$cmd"
fi
done < red_ej1.txt
while read line; do
if [[ ... | true |
c1b4760cc74b654f2ffadbb0336a53e5441c576d | Shell | jfqd/mi-qutic-varnish | /customize | UTF-8 | 1,443 | 2.859375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/bash
PATH=/opt/local/gnu/bin:/opt/local/bin:/opt/local/sbin:/usr/bin:/usr/sbin
# Exit if any commands fail
set -o errexit
VARNISH_VERSION="5.2.1"
MUNIN_PLUGINS="
varnish_main_uptime
varnish_hit_rate
varnish_expunge
varnish_threads
varnish_mgt_uptime
varnish_backend_traffic
varnish_bad
varnish_obj... | true |
bf5b501bbe1a63ac380c6ba8ef7056709021e384 | Shell | ThesisDistributedProduction/HPPP_Controller | /ScriptsHelper/runXDecentralized.sh | UTF-8 | 731 | 3.25 | 3 | [] | no_license | #!/bin/bash
N=1
START=1
mSleep=20
if [ -n "$3" ]; then
mSleep=$3
fi
if [ -n "$2" ]; then
START=$2
fi
if [ -n "$1" ]; then
N=$(($1+START-1))
fi
cd ../DecentralizedParkPilot
echo "Starting nodes form $START to start $N"
for (( i=START+1; i<=N; i++ )); do
echo "staring with id: " $i "and mSleep: " $mSleep
... | true |
458237c8004274ac3e5927fd8d74411e46585be2 | Shell | FauxFaux/debian-control | /f/fonts-ipaexfont/fonts-ipaexfont-gothic_00301-5_all/preinst | UTF-8 | 956 | 3.390625 | 3 | [] | no_license | #!/bin/sh
set -e
VERSION=00103-1
VERSION_2=00103-3
VERSION_3=00103-6
OLD_ALT_NAME=ttf-japanese-gothic
FONT_ENTRY=/usr/share/fonts/opentype/ipaexfont/ipaexg.ttf
FONT_ENTRY_2=/usr/share/fonts/opentype/ipaexfont/ipaexg.ttf
FONT_ENTRY_3=/usr/share/fonts/opentype/fonts-ipaexfont-gothic/ipaexg.ttf
case "$1" in
install|upg... | true |
337c5a5c74fb64e454ddfa30dabbdb79dd471d0f | Shell | oyvindronningstad/trusted-firmware-m-zephyr-module | /init-git.sh | UTF-8 | 1,051 | 2.78125 | 3 | [
"BSD-3-Clause",
"Apache-2.0"
] | permissive | #!/bin/sh
TFM_GIT_SHA=TF-Mv1.0
CMSIS_5_GIT_SHA=5.5.0
MBED_CRYPTO_GIT_SHA=mbedcrypto-3.0.1
PSA_ARCH_TESTS_GIT_SHA=v20.03_API1.0
if [ ! -d trusted-firmware-m/.git ]; then
git clone https://git.trustedfirmware.org/trusted-firmware-m.git -b ${TFM_GIT_SHA} --bare trusted-firmware-m/.git
cd trusted-firmware-m
git ... | true |
539e376cf859dbf79180a5059eb303af4706bce3 | Shell | ramayanaocr/ocr-comparison | /Tesseract/projects/tessdata_sanskrit/ram.sh | UTF-8 | 3,632 | 3.125 | 3 | [] | no_license | #!/bin/bash
rm -rf build
mkdir build
my_files=$(ls tessdata_ramayana/*.png )
for my_file in ${my_files}; do
f=${my_file%.*}
echo $f
#time tesseract $f.png $f -l script/Devanagari --psm 6 --dpi 300 wordstrbox
time tesseract $f.png $f -l script/Devanagari --dpi 300 wordstrbox
mv "$f.box" ... | true |
c61b83d91d811f699a4828194d3cd9ef5940ae29 | Shell | matthew-r-richards/vagrant | /orientdb/vagrant.sh | UTF-8 | 3,159 | 2.734375 | 3 | [] | no_license | #!/bin/bash
echo install JDK 8, git ant wget curl vim unzip
sudo apt-get install software-properties-common python-software-properties -y
sudo add-apt-repository ppa:openjdk-r/ppa -y
sudo apt-get update -y
sudo apt-get upgrade -y
sudo apt-get install openjdk-8-jdk git ant wget curl vim zip unzip -y
echo Move to JDK ... | true |
c3b76330c2685190d9688441371ffdf68e4dc7a0 | Shell | nishanthprakash/GestureRecognition_Kinect-ROS | /gesture/src/start.sh | UTF-8 | 786 | 3.34375 | 3 | [] | no_license | #!/bin/sh
export ROS_PACKAGE_PATH=~/GR:$ROS_PACKAGE_PATH
while :
do
echo
echo "Choose : 1.Gesture Training 2.Gesture Recognition 3.Exit"
read response
case "$response" in
1) roslaunch gesture handposition.launch > /dev/null &
count=`ls ../data | wc -l`
echo "Starting Training No. : `expr $count + 1`"
sleep... | true |
de1111aeaf5e77f0682478139c966a5a43dc33ea | Shell | ytyaru/Shell.RasPiOs.20200820.20201002102428 | /src/5_install_apps/src/font/install_font_idkana014.sh | UTF-8 | 763 | 3 | 3 | [
"CC0-1.0"
] | permissive | #!/bin/bash
set -Ceu
#-----------------------------------------------------------------------------
# install_font_idkana014.sh
# http://idfont.jp/free-kanji/free-kana.html
# 作成日時: 2019-03-21 18:30:12
#-----------------------------------------------------------------------------
Run() {
mkdir -p /tmp/work
cd /tmp/wor... | true |
9f81f706299898515989d0f67218def0d9535d45 | Shell | axitkhurana/dotfiles | /bashrc | UTF-8 | 2,610 | 3.453125 | 3 | [] | no_license | # Sample .bashrc for SuSE Linux
# Copyright (c) SuSE GmbH Nuernberg
# There are 3 different types of shells in bash: the login shell, normal shell
# and interactive shell. Login shells read ~/.profile and interactive shells
# read ~/.bashrc; in our setup, /etc/profile sources ~/.bashrc - thus all
# settings made here ... | true |
da6d24bf54d44261fe96bdc2bf4dac3d6f874a1a | Shell | HenriqueMCastro/kafka-hello-world | /startCluster.sh | UTF-8 | 2,375 | 2.609375 | 3 | [] | no_license | #!/bin/bash
# zookeeper nodes
zookeeperServers="zookeeper-node-1,zookeeper-node-2,zookeeper-node-3"
for id in `seq 1 3`;
do
docker run -d --net=mynetwork -h zookeeper-node-${id} -e ZOO_LOG_DIR=/var/log/zookeeper -e MYID=${id} -e SERVERS=${zookeeperServers} --name=zookeeper-node-${id} --net=mynetwork mesoscloud/zook... | true |
c0b0e6d2254117f76cffae185ed2379ab994b1fa | Shell | HaoxueChang/what-links-to-what | /CodeLinkR/data/Turtle/zipTheTurtles.sh | UTF-8 | 166 | 3.4375 | 3 | [] | no_license | #!/bin/bash
files=`ls *.turtle`
for file in $files
do
# only create zip if it doesn't exist
if [ ! -f $file.tar.gz ]; then
tar -czvf $file.tar.gz $file
fi
done
| true |
80c95aefd52721b9cddb72bb8a0f41ecce0b0f76 | Shell | fincharry27/AC21009-bash-Scripting | /menu | UTF-8 | 4,328 | 4.28125 | 4 | [] | no_license | #!/bin/bash
#Function to display the main menu
displayMenu ()
{
echo "Please select an option"
select action in Create_repository Access_repoistory Access_log quit
do
case $action in
#Once selected calls the createRepository function
Create_repository)
createRepository
;;
#Once selected calls the acce... | true |
d623ca01e6deec322adebc81f0041bd2654f2c85 | Shell | ubikusss/argodemo | /scripts/rke2_centos8_dependencies.sh | UTF-8 | 4,489 | 3.28125 | 3 | [] | no_license | #!/bin/bash
set -e
# set variables
YUM_PACKAGES="zip unzip container-selinux rke2-server rke2-agent git"
#working
#RKE_IMAGES_DL_URL="https://github.com/rancher/rke2/releases/download/v1.18.12%2Brke2r1/rke2-images.linux-amd64.tar.gz"
#RKE_IMAGES_DL_SHASUM="https://github.com/rancher/rke2/releases/download/v1.18.12%2Br... | true |
d7a68bf2eac20bebbc6151db5fb9c4c473e09ba2 | Shell | stuhlmueller/python-tools | /tests/async/async_infinite.sh | UTF-8 | 97 | 2.796875 | 3 | [] | no_license | #!/bin/bash
let i=0;
while true; do
echo "This is number $i";
let i=$i+1;
sleep 1
done
| true |
df77a5a0c0557be6d6255268fec0bf54293ccda4 | Shell | GenericMappingTools/sandbox | /registration/GMT_usage_map.sh | UTF-8 | 6,430 | 3.890625 | 4 | [] | no_license | #!/bin/sh
#
# $Id$
#
# This script creates a fresh gmt_usage.jpg plot for the web page
# The coordinates passed have been checked for range etc
# It is run from inside the registration directory and will
# collect new lon/lat locations from /tmp/gmtregistration.
# This script performs any of three operations; by defaul... | true |
da3fa30cae6d330c7cbae54e5b9f52f95a25d940 | Shell | bitPogo/mediawiki-docker-dev-playbook | /roles/install/files/debianDockerCompose.sh | UTF-8 | 327 | 3 | 3 | [] | no_license | #!/bin/bash
set -e
if [ -e /usr/local/bin/docker-compose ]
then
echo "ok"
else
curl -L https://github.com/docker/compose/releases/download/1.23.2/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
chmod +x /usr/local/bin/docker-compose
ln -s /usr/local/bin/docker-compose /usr/bin/docker-comp... | true |
c351a9c7c1f7995484920aa059d3e73b53074454 | Shell | ZNEW/vimConfigurator | /configureVim.sh | UTF-8 | 1,422 | 2.875 | 3 | [] | no_license | #!/bin/bash
#----------------------------------------------------------------------------------------------------------------------
# Any subsequent commands which fail will cause the shell script to exit immediately
set -e
#---------------------------------------------------------------------------------------... | true |
02de332c2908fb7de33c800f1f18c967464ab9cb | Shell | silverd/silverd.github.io | /res/attach/install_mac_dev_env.sh | UTF-8 | 3,428 | 3.265625 | 3 | [] | no_license | #!/bin/sh
#author: yuu
echo "Are you sure to start the installation?y/n"
read sure
if [ $sure != "y" ]; then
exit 1
fi
echo "==========================================="
echo "Installing Homebrew"
echo "==========================================="
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com... | true |
5591155348b4916cd0d275c62d0d38db8e58ed4e | Shell | kzapfe/ExamenOPI | /Pregunta1/limpiadatos.sh | UTF-8 | 380 | 2.71875 | 3 | [] | no_license | #!/bin/bash
## Script al aventón para limpiar datos del CVP2010 y solo quedarme con lo que me interesa.
#los encabezados
head -1 resultados_ageb_urbana_09_cpv2010.csv > encabezados.csv
#los totales por AGEB
cat resultados_ageb_urbana_09_cpv2010.csv | grep "Obreg" | grep "Total AGEB" > tabla_AGEBAObre.cvs
#Listo
cat ... | true |
8ae523d1f4c2698c908eb70521617abbfc2605cf | Shell | Elexi-dev/paper-auto-1.14.4-egg | /install-file.sh | UTF-8 | 4,529 | 3.625 | 4 | [] | no_license | #!/bin/ash
# Paper Installation Script
# Server Files: /mnt/server
apk add --no-cache --update curl jq git
if [ -n "${DL_PATH}" ]; then
echo -e "using supplied download url"
DOWNLOAD_URL=`eval echo $(echo ${DL_PATH} | sed -e 's/{{/${/g' -e 's/}}/}/g')`
else
VER_EXISTS=`curl -s https://papermc.io/api/v1/pap... | true |
206b3b70a70a63b79868dd4836756b5d29d835e4 | Shell | KonstantinDjairo/mouse-brain-templates_generator | /make_mesh.sh | UTF-8 | 3,622 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#add parent directory to PYTONPATH
D=$(cd ../ && pwd)
export PYTHONPATH="${PYTHONPATH}:$D"
#default
CUT=false
MASK=false
BOUNDARY=false
USAGE="usage:\n\
'basename $0' -i <image file> -t <treshhold> [-m <mask-file>] [-c] [-s <size> -a <axis> -d <direction>] [-b] [-x]\n\
-i: Image file name to cr... | true |
fc95c6860e3331e51e6a2dc754574eba91c5d3ac | Shell | hyperia-sk/gitlab-checker | /gitlab-check.sh | UTF-8 | 7,065 | 3.9375 | 4 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -o errexit
SUBJECT="GitLab Checker"
START_TIME=$SECONDS
white=$(tput bold)
black=$(tput setaf 0)
red=$(tput setaf 1)
green=$(tput setaf 2)
yellow=$(tput setaf 3)
blue=$(tput setaf 6)
bg_red=$(tput setab 1)
bg_green=$(tput setab 2)
bg_yellow=$(tput setab 3)
normal=$(tput sgr0)
OK="${green}OK${normal... | true |
bde56ff374b173e6bb3d9a66800b7bee8b33dcdf | Shell | dimagi/jsonobject | /scripts/test_cython_files.sh | UTF-8 | 845 | 3.015625 | 3 | [
"BSD-3-Clause",
"MIT"
] | permissive | #! /bin/bash
find jsonobject -iname '*.c' -delete
find jsonobject -iname '*.so' -delete
python setup.py build_ext --inplace
git update-index -q --refresh
if git diff --quiet HEAD --; then
echo "The recompiled cython files are a match"
exit 0
else
echo "====================================="
echo "ERR... | true |
d62d828b6d45e286ed2b8a0586bc687c291ff0d4 | Shell | appleily/test2 | /ifuser.sh | UTF-8 | 159 | 3.15625 | 3 | [] | no_license | #!/bin/bash
who | grep $1 > /dev/null
if [ $? == 0 ]
then
echo "$1 alread login"
info=`cat /etc/passwd | grep $1`
echo "$1的用户信息如下:"
echo $info
| true |
5d8efb0f1d67cf5969aeab34356e302cbdd7a895 | Shell | RDLLab/SKD_DEVEL | /skd_full_install.sh | UTF-8 | 1,706 | 4.09375 | 4 | [] | no_license | #!/bin/bash
# Get the name of the directory where the repository is located
SKD_ROOT_DIR=$(cd `dirname $0` && pwd)
# Ensure that the commandline arguments are used
if [ $# -lt 6 ]
then
echo "Usage : $0 --install_oppt install_dir_path [true|false] --oppt_install_dir [oppt_install_path] --install_conda [true|false... | true |
40e5c511617a6d14d2e97d3a51923c95067b1b6c | Shell | webmalc/mbs | /scripts/permissions.sh | UTF-8 | 623 | 3.171875 | 3 | [] | no_license | #!/bin/bash
GREEN='\e[0;32m'
NC='\e[0m'
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
FOLDER=${DIR}'/../var/'
HTTPDUSER=`ps aux | grep -E '[a]pache|[h]ttpd|[_]www|[w]ww-data|[n]ginx' | grep -v root | head -1 | cut -d\ -f1`
sudo rm -rf ${FOLDER}'cache'
sudo rm -rf ${FOLDER}'logs'
mkdir ${FOLDER}'cache'
mkdir $... | true |
95acaf31c8eebe27c867c9c7a3ecf57ae876b91e | Shell | ptptptptptpt/install | /remove.sh | UTF-8 | 2,476 | 3.734375 | 4 | [] | no_license | #!/bin/bash
programDir=`dirname $0`
programDir=$(readlink -f $programDir)
parentDir="$(dirname $programDir)"
programDirBaseName=$(basename $programDir)
function usage {
echo "
Usage:
bash $(basename $0) CONFIG_FILE
"
}
[ "$1" ] || { usage; exit 1; }
[ -f "$1" ] || { echo "Error: $1 not exists or not a file!"... | true |
cf50ec1a4f51ed6d9064e80c913c719f897641c9 | Shell | ariutta/jupyterWith-demo | /jupyterlab-launch/jupyterlab-launch | UTF-8 | 4,928 | 4.25 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
OUTPUT_FILE=$(mktemp) || exit 1
SERVER_START_CMD="jupyter lab --no-browser --port=8889"
HELP_MSG="jupyterlab-launch <target>
When server is local, target defaults to pwd.
When server is remote, an ssh-style url is required, e.g.:
jupyterlab-launch nixos.gladstone.internal:code/jupyte... | true |
a837ef4307029b5bd8c6a5c2dbeb2c3e1ec2854f | Shell | cracker0dks/ezLicode | /initDockerLicode.sh | UTF-8 | 6,139 | 3.65625 | 4 | [] | no_license | #!/usr/bin/env bash
SCRIPT=`pwd`/$0
ROOT=/opt/licode
SCRIPTS="$ROOT"/scripts
BUILD_DIR="$ROOT"/build
DB_DIR="$BUILD_DIR"/db
EXTRAS="$ROOT"/extras
NVM_CHECK="$ROOT"/scripts/checkNvm.sh
parse_arguments(){
if [ -z "$1" ]; then
echo "No parameters -- starting everything"
MONGODB=true
RABBITMQ=true
NUVE=t... | true |
6960dc7438b6a465c642650967dca3f4aa8557e8 | Shell | automotiveMastermind/condo | /scripts/install.sh | UTF-8 | 8,600 | 3.890625 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
CONDO_ROOT="$HOME/.am/condo"
CONDO_LOG="$CONDO_ROOT/condo.log"
CONDO_VERBOSITY='normal'
CONDO_CLR_INFO='\033[1;33m' # BRIGHT YELLOW
CONDO_CLR_FAILURE='\033[1;31m' # BRIGHT RED
CONDO_CLR_SUCCESS="\033[1;32m" # BRIGHT GREEN
CONDO_CLR_CLEAR="\033[0m" # DEFAULT COLOR
__condo-succe... | true |
e80cd69f6e2388cba11c8e23de9580cfb5e484a4 | Shell | vonKloppen/vmBuilder-bash | /buildVM.sh | UTF-8 | 7,769 | 3.765625 | 4 | [] | no_license | #!/bin/env bash
##### FOLDER CONFIGURATION #####
confFOLDER="./conf"
binFOLDER="./bin"
vmFOLDER="./vm"
ksFOLDER="$confFOLDER/kickstarts"
profFOLDER="$confFOLDER/profiles"
scrFOLDER="$confFOLDER/scripts"
keyFOLDER="$confFOLDER/sshkeys"
tmplFOLDER="$confFOLDER/templates"
##### FILE CONFIGURATION #####
defFILE="defaul... | true |
e615d5d511783296b440c5e6b265b8b26b7c71b9 | Shell | alucas/clojure-env | /.zshrc | UTF-8 | 3,521 | 2.765625 | 3 | [
"MIT"
] | permissive | # Set up the prompt
#autoload -Uz promptinit
#promptinit
#prompt bart
typeset -ga preexec_functions
typeset -ga precmd_functions
typeset -ga chpwd_functions
setopt prompt_subst
export __CURRENT_GIT_BRANCH=
# Get git infos
parse_git_branch() {
git branch --no-color 2> /dev/null \
| sed -e '/^[^*]/d' -e 's/* \(.*\)... | true |
6bb9eff1c0525ae692f3fa28d93b276c4d542a85 | Shell | wangzan/script | /add_patch_from_list.sh | UTF-8 | 2,144 | 3.796875 | 4 | [] | no_license | #!/bin/bash
LOGS=
function getopts_args()
{
while getopts h:l: ARGS
do
case $ARGS in
h)
echo "help !!!!!!!!!!!!!!!!"
;;
l)
LOGS=$OPTARG/logs
#echo "out path is $LOGS"
;;
*)
echo "Unknow option: $ARGS"
... | true |
4d17cae39a51917560916b7c0c731c71f10627a6 | Shell | tourfl/Sogitest | /test/tests.bats | UTF-8 | 773 | 2.96875 | 3 | [] | no_license |
@test "ajout d'un 0 pour 5 bits valant 1" {
run bash -c "echo 11111 | ./bin/encoder"
echo $output
[ "$status" -eq 0 ]
[ "$output" = "111110" ]
}
@test "ajout d'un 1 pour 5 bits valant 0" {
run bash -c "echo 00000 | ./bin/encoder"
[ "$status" -eq 0 ]
[ "$output" = "000001" ]
}
@test "carac... | true |
fb06ca540265102a1451c205512316aec31ae5f9 | Shell | caiob-wmc/DSMTester | /canonical.sh | UTF-8 | 419 | 3.5 | 4 | [] | no_license | #!/bin/bash
htmlCanonical=$(curl $1 2>&1 | grep -in "\<link.*rel=.canonical.")
httpCanonical=$(curl -I $1 2>&1 | grep -in "\link.*rel=.canonical.")
if [ -z "$htmlCanonical" ]
then
if [ -z "$httpCanonical" ]
then
echo "No canonical declarations found"
else
echo "Canonical Link in HTTP header... | true |
1c36560d8d8b66171a977a727141056902901fe6 | Shell | eugene-tarassov/vivado-risc-v | /mk-sd-image | UTF-8 | 3,302 | 3.796875 | 4 | [] | no_license | #!/bin/bash
set -e
cd -P `dirname $0`
SD_SIZE=1500
SD_BOOT_SIZE=64
SD_SWAP_SIZE=
SD_IMG=debian-riscv64/debian-riscv64.sd.img
RSYNC_BOOT=
while getopts r:s:b:p:i: name ; do
case $name in
r)
RSYNC_BOOT=$OPTARG
;;
s)
SD_SIZE=$OPTARG
;;
b)
SD_BOOT_SIZE=$OPTARG
;;
p)
SD_SWAP_SIZE=$OP... | true |
7463d125977acbb110f60ee908125a5c54dc6fe3 | Shell | eleanoryc/shell_scripts | /s_random.sh | UTF-8 | 459 | 3.3125 | 3 | [] | no_license | #!/bin/bash
#x=1234567890
#for((i=10;i>0;i--));do
# ((r=RANDOM%i+1))
# echo ${x:r-1:1}
# x=${x:0:r-1}${x:r}
#done
# Generate random number between 6 and 30.
rnumber=$((RANDOM%25+6))
echo $rnumber
# generate random numbers between 65535
HBASE_PORT=()
for (( i=1;i<=5;i++ )); do
#x=`echo $(($RANDOM$RANDOM$RANDO... | true |
5bde5e739b09dedfcfbdc272cfd41eabf74333ab | Shell | Surfict/osparc-ops | /scripts/local-deploy.sh | UTF-8 | 9,263 | 3.953125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# Deploys in local host
#
#
# Using osx support functions
# shellcheck source=/dev/null
source "$( dirname "${BASH_SOURCE[0]}" )/portable.sh"
# ${psed:?}
set -euo pipefail
IFS=$'\n\t'
# Paths
this_script_dir=$(dirname "$0")
repo_basedir=$(realpath "${this_script_dir}"/../)
# VCS info on current repo
cu... | true |
131cf4fd884ce24d41d1a3cd1090d5bc5e029b80 | Shell | mikemeding/3DPrinter | /octoprint_relay/toggle.sh | UTF-8 | 88 | 2.796875 | 3 | [] | no_license | #!/bin/bash
if [ $(gpio read $1) -eq 1 ]
then
gpio write $1 0
else
gpio write $1 1
fi
| true |
e83ede20db8465ee2ca512dcfd949d808c57f6c6 | Shell | woramet1/script | /install.sh | UTF-8 | 2,471 | 3.1875 | 3 | [] | no_license | #!/bin/bash
#script by jiraphat yuenying for ubuntu 16
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root"
exit 1
fi
#install openvpn
apt-get purge openvpn easy-rsa -y;
apt-get purge squid -y;
apt-get update
MYIP=$(wget -qO- ipv4.icanhazip.com);
MYIP2="s/xxxxxxxxx/$MYIP/g";
apt-get update
apt-g... | true |
75e93bc1c727c494aa9a2e8c68aaed6166a39c93 | Shell | iwonbigbro/bash-cat | /lib/bashcat/datafile.py | UTF-8 | 9,651 | 2.625 | 3 | [] | no_license | #!/bin/bash
# Copyright (C) 2015 Craig Phillips. All rights reserved.
import fcntl, copy, os, sys, hashlib, re, string
import cached, bashcat.output
try: import cPickle as pickle
except ImportError: import pickle
class NotFoundError(Exception):
pass
class DataLine(object):
def __init__(self, source, pre... | true |
0870f2eedd2c777ef57439506c48e6fd6159369c | Shell | PandikKumar/dell-devops | /ci-scripts/test/unit/ci-script-tests/pingaccess-was/common-api/get-entity-operations/13-get-token-provider-tests.sh | UTF-8 | 966 | 3.3125 | 3 | [] | no_license | #!/bin/bash
script_to_test="${PROJECT_DIR}"/ci-scripts/test/integration/pingaccess-was/common-api/get-entity-operations.sh
. "${script_to_test}"
readonly resources_dir="${PROJECT_DIR}"/ci-scripts/test/unit/ci-script-tests/pingaccess-was/common-api/get-entity-operations/resources
# Mock this function call
curl() {
... | true |
ed3b78ffd3024e2b9198fee752103eeb2ae8001c | Shell | loveshort/DevelopBaseNote | /shell/devEnvInstallTool.sh | UTF-8 | 1,784 | 2.796875 | 3 | [] | no_license | # !/bin/bash
# helper tool
echo -e " \033[32m Dev Env install Tool By DragonLi (Version 1.0.0) \033[0m \n"
HTTP_CODE=`curl --connect-timeout 5 -o /dev/null 2>&1 -s --head -w "%{http_code}" "https://Twitter.com"`
if [ ${HTTP_CODE} -ne 200 ]
then
echo -e "\033[31m当前网络环境无法满足安装条件,请切换网络环境后再重试!!!\033[0m"
exit... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.